package gmt.stddecoder.vo;

import gmt.common.util.GmtUtils;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

public class AtoNVO extends HeaderVO{
	private int Mode;       	 
	private int AToNType;   
	private String Name;         
	private int PosAcc;      
	private int LonInt;     
	private int LatInt;      
	private Double Lon;          
	private Double Lat;       
	private int DimA;         
	private int DimB;     
	private int DimC;         
	private int DimD;        
	private int EPFD;        
	private int OffPos;       
	private String Reserved;      
	private int Raim;     
	private int aToNStatus;
	private int virtualFlag;
	private int isRepeat;
	private LocalDateTime bsUTC;
	private String bsUTCStr;
	private int timeStamp;
	private int mSec;
	
	public AtoNVO() {
		Mode        = 0;
	    AToNType    = 0;
	    Name        = "";
	    PosAcc      = 0;
	    LonInt      = 108600000;
	    LatInt      = 54600000;
	    Lon         = 181.0;
	    Lat         = 91.0;
	    DimA        = 0;
	    DimB        = 0;
	    DimC        = 0;
	    DimD        = 0;
	    EPFD        = 0;
	    OffPos      = 0;
	    Reserved    = "";
	    Raim        = 0;
	    aToNStatus  = 0;
	    virtualFlag = 0;
	    isRepeat    = 0;
	    bsUTC       = GmtUtils.defaultTime();
	    bsUTCStr    = "";
	    timeStamp   = 60;
	    mSec        = 0;
	}
	
	public int getaToNStatus() {
		return aToNStatus;
	}


	public void setaToNStatus(int aToNStatus) {
		this.aToNStatus = aToNStatus;
	}


	public int getVirtualFlag() {
		return virtualFlag;
	}


	public void setVirtualFlag(int virtualFlag) {
		this.virtualFlag = virtualFlag;
	}


	public int getIsRepeat() {
		return isRepeat;
	}


	public void setIsRepeat(int isRepeat) {
		this.isRepeat = isRepeat;
	}


	public LocalDateTime getBsUTC() {
		return bsUTC;
	}


	public void setBsUTC(LocalDateTime bsUTC) {
		this.bsUTC = bsUTC;
	}


	public String getBsUTCStr() {
		return bsUTCStr;
	}


	public void setBsUTCStr(String bsUTCStr) {
		this.bsUTCStr = bsUTCStr;
	}


	public int getTimeStamp() {
		return timeStamp;
	}


	public void setTimeStamp(int timeStamp) {
		this.timeStamp = timeStamp;
	}


	public int getmSec() {
		return mSec;
	}


	public void setmSec(int mSec) {
		this.mSec = mSec;
	}


	public int getMode() {
		return Mode;
	}


	public void setMode(int mode) {
		Mode = mode;
	}


	public int getAToNType() {
		return AToNType;
	}


	public void setAToNType(int aToNType) {
		AToNType = aToNType;
	}


	public String getName() {
		return Name;
	}


	public void setName(String name) {
		Name = name;
	}


	public int getPosAcc() {
		return PosAcc;
	}


	public void setPosAcc(int posAcc) {
		PosAcc = posAcc;
	}


	public int getLonInt() {
		return LonInt;
	}


	public void setLonInt(int lonInt) {
		LonInt = lonInt;
	}


	public int getLatInt() {
		return LatInt;
	}


	public void setLatInt(int latInt) {
		LatInt = latInt;
	}


	public Double getLon() {
		return Lon;
	}


	public void setLon(Double lon) {
		Lon = lon;
	}


	public Double getLat() {
		return Lat;
	}


	public void setLat(Double lat) {
		Lat = lat;
	}


	public int getDimA() {
		return DimA;
	}


	public void setDimA(int dimA) {
		DimA = dimA;
	}


	public int getDimB() {
		return DimB;
	}


	public void setDimB(int dimB) {
		DimB = dimB;
	}


	public int getDimC() {
		return DimC;
	}


	public void setDimC(int dimC) {
		DimC = dimC;
	}


	public int getDimD() {
		return DimD;
	}


	public void setDimD(int dimD) {
		DimD = dimD;
	}


	public int getEPFD() {
		return EPFD;
	}


	public void setEPFD(int ePFD) {
		EPFD = ePFD;
	}


	public int getOffPos() {
		return OffPos;
	}


	public void setOffPos(int offPos) {
		OffPos = offPos;
	}


	public String getReserved() {
		return Reserved;
	}


	public void setReserved(String reserved) {
		Reserved = reserved;
	}


	public int getRaim() {
		return Raim;
	}


	public void setRaim(int raim) {
		Raim = raim;
	}


	public String getString() {
		return  
				"TargetSensor : "+this.targetSensor+"\n"+
				"packetID : "+this.packetID+"\n"+
				"ShipID : "+this.shipID+"\n"+
				"DateTime : "+this.dateTime.format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss.SSS"))+"\n"+
				"AreaID : "+this.areaID+"\n"+
				"MsgType : "+this.msgType+"\n"+
				"DataLength : "+this.dataLength+"\n"+
				"Mode        : "+String.valueOf(this.Mode)       +"\n"+
				"AToNType    : "+String.valueOf(this.AToNType)   +"\n"+
				"Name        : "+this.Name       +"\n"+
				"PosAcc      : "+String.valueOf(this.PosAcc)     +"\n"+
				"LonInt      : "+String.valueOf(this.LonInt)     +"\n"+
				"LatInt      : "+String.valueOf(this.LatInt)     +"\n"+
				"Lon         : "+String.valueOf(this.Lon)        +"\n"+
				"Lat         : "+String.valueOf(this.Lat)        +"\n"+
				"DimA        : "+String.valueOf(this.DimA)       +"\n"+
				"DimB        : "+String.valueOf(this.DimB)      +"\n"+
				"DimC        : "+String.valueOf(+this.DimC)       +"\n"+
				"DimD        : "+String.valueOf(+this.DimD)       +"\n"+
				"EPFD        : "+String.valueOf(this.EPFD)       +"\n"+
				"OffPos      : "+String.valueOf(this.OffPos)     +"\n"+
				"Reserved    : "+this.Reserved   +"\n"+
				"Raim        : "+String.valueOf(this.Raim)    +"\n"+
				"aToNStatus       : "+String.valueOf(this.aToNStatus)    +"\n"+
				"virtualFlag      : "+String.valueOf(this.virtualFlag)    +"\n"+
				"isRepeat         : "+String.valueOf(this.isRepeat)    +"\n"+
				"bsUTCStr         : "+this.bsUTCStr    +"\n"+
				"timeStamp        : "+String.valueOf(this.timeStamp)    +"\n"+
				"mSec             : "+String.valueOf(this.mSec);
	}                           
	
}
